Description: <short summary of the patch>
 TODO: Put a short summary on the line above and replace this paragraph
 with a longer explanation of this change. Complete the meta-information
 with other relevant fields (see below for details). To make it easier, the
 information below has been extracted from the changelog. Adjust it or drop
 it.
 .
 fricas (1.3.10-1) UNRELEASED; urgency=medium
 .
   * New upstream release.
Author: Camm Maguire <camm@barriere.debian.org>

---
The information above should follow the Patch Tagging Guidelines, please
checkout https://dep.debian.net/deps/dep3/ to learn about the format. Here
are templates for supplementary fields that you might want to add:

Origin: (upstream|backport|vendor|other), (<patch-url>|commit:<commit-id>)
Bug: <upstream-bugtracker-url>
Bug-Debian: https://bugs.debian.org/<bugnumber>
Bug-Ubuntu: https://launchpad.net/bugs/<bugnumber>
Forwarded: (no|not-needed|<patch-forwarded-url>)
Applied-Upstream: <version>, (<commit-url>|commit:<commid-id>)
Reviewed-By: <name and email of someone who approved/reviewed the patch>
Last-Update: 2024-02-05

--- fricas-1.3.10.orig/src/lisp/Makefile.in
+++ fricas-1.3.10/src/lisp/Makefile.in
@@ -58,7 +58,7 @@ do_it.gcl: fricas-lisp.lisp fricas-packa
 	$(fricas_gcl_rsym_hack)
 	echo '(load "fricas-package.lisp") (load "fricas-config.lisp")' \
 	     '(load "fricas-lisp.lisp")' \
-	     '(setq compiler::*default-system-p* t)' \
+	     '(setq compiler::*default-system-p* nil)' \
 	     '(compile-file "fricas-lisp.lisp")' \
              '(compile-file "primitives.lisp")' | $(FRICAS_LISP)
 	echo '(compiler::link nil "prelisp" ' \
@@ -68,7 +68,7 @@ do_it.gcl: fricas-lisp.lisp fricas-packa
                                        ' (compiler::emit-fn t))' \
                                   ' (when (fboundp (quote si::sgc-on))' \
                                         ' (si::sgc-on nil))' \
-                                  ' (setq compiler::*default-system-p* t))' \
+                                  ' (setq compiler::*default-system-p* nil))' \
                      ' (setq compiler::*default-large-memory-model-p* t))"' \
                       ' si::*system-directory* (quote (list ".lsp")))' \
                '  "$(lisp_c_objects) $(fricas_c_runtime_extra)")' \
